POST Search GiftCertificates
POST /sites/{site_id}/gift_certificate_search
Operation ID: Search GiftCertificates. Tags: sites. Security: oauth2_application.
Searches for gift certificates.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
merchant_id - String
-
masked_gift_certificate_code* - String
-
order_no - String
-
sender_name - String
-
recipient_name - String
-
recipient_email - String
-
status - String
-
enabled - Boolean
-
message - String
-
description - String
-
creation_date - Date
-
currency_mnemonic* - String
- masked_gift_certificate_code, also known as just code, can only be used in a term query. If a four-character code is supplied, it is assumed that the search is on the unmasked portion of the code, otherwise the full code must be matched. Text queries are not allowed.
- currency_mnemonic can only be joined with other attributes using a conjunction (AND).
Note that only searchable attributes can be used in sorting. The code attribute cannot be used for sorting.
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The id of the site.
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:gift_certificate_search_result.